## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate mp4parse

Name:           rust-mp4parse
Version:        0.17.0
Release:        %autorelease
Summary:        Parser for ISO base media file format (mp4)

License:        MPL-2.0
URL:            https://crates.io/crates/mp4parse
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump fallible_collections dependency from 0.4 to 0.5:
#   https://github.com/mozilla/mp4parse-rust/pull/422
# * drop unused, benchmark-only criterion dev-dependency
Patch:          mp4parse-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Parser for ISO base media file format (mp4).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+3gpp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+3gpp-devel %{_description}

This package contains library source intended for building other packages which
use the "3gpp" feature of the "%{crate}" crate.

%files       -n %{name}+3gpp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+meta-xml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+meta-xml-devel %{_description}

This package contains library source intended for building other packages which
use the "meta-xml" feature of the "%{crate}" crate.

%files       -n %{name}+meta-xml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+missing-pixi-permitted-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+missing-pixi-permitted-devel %{_description}

This package contains library source intended for building other packages which
use the "missing-pixi-permitted" feature of the "%{crate}" crate.

%files       -n %{name}+missing-pixi-permitted-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mp4v-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mp4v-devel %{_description}

This package contains library source intended for building other packages which
use the "mp4v" feature of the "%{crate}" crate.

%files       -n %{name}+mp4v-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test fixtures for integration tests are not included in published crates
# * skip test that fails on architectures with different memory requirements
%cargo_test -- --lib -- --exact --skip tests::read_to_end_oom
%cargo_test -- --doc
%endif

%changelog
## START: Generated by rpmautospec
* Sat Feb 22 2025 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Initial import after unretirement and update to version 0.17.0
## END: Generated by rpmautospec
